%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:         Python for Population Genomics
Name:            pypop
Version:         0.7.0
Release:         11%{?dist}
Source0:         http://www.pypop.org/%{name}-%{version}.tar.gz
License:         GPLv2+
Group:           Development/Libraries
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url:             http://www.pypop.org/
BuildRequires:   python-devel
BuildRequires:   swig
BuildRequires:   gsl-devel
Requires:        python-numeric
Requires:        libxslt-python


%description
PyPop is a bioinformatics framework for performing population genomics
analysis, particularly on large-scale multilocus genotype data.

%prep
%setup -q -n pypop-%{version}
# move auxilary documentation files into a sensible place
cp slatkin-exact/README README.slatkin-exact

# remove she-bang lines in certain .py files to keep rpmlint happy
find . -type f -name "*.py" ! -name "pypop.py" ! -name "popmeta.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%build
env DISTRIB=true %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README ChangeLog AUTHORS COPYING README.slatkin-exact
%{_bindir}/*
%dir %{python_sitearch}/pypop
%{python_sitearch}/pypop.pth
%{python_sitearch}/pypop/*
%{_datadir}/*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.7.0-3
- Rebuild for Python 2.6

* Tue Sep 30 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.7.0-2
- Fix macro as per review
- Fix some doc files

* Mon Sep 29 2008 Alex Lancaster <alexlan[AT] fedoraproject org> 0.7.0-1
- Start Fedora package.

